--- chrome/renderer/render_view.cc
+++ chrome/renderer/render_view.cc
@@ -1441,7 +1441,7 @@ void RenderView::setInputMethodEnabled(bool enabled) {
 }
 
 void RenderView::didChangeSelection(bool is_empty_selection) {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   if (!handling_input_event_)
       return;
   // TODO(estade): investigate incremental updates to the selection so that we
@@ -2656,14 +2656,14 @@ webkit_glue::WebPluginDelegate* RenderView::CreatePluginDelegate(
 }
 
 void RenderView::CreatedPluginWindow(gfx::PluginWindowHandle window) {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   RenderThread::current()->Send(new ViewHostMsg_CreatePluginContainer(
       routing_id(), window));
 #endif
 }
 
 void RenderView::WillDestroyPluginWindow(gfx::PluginWindowHandle window) {
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   RenderThread::current()->Send(new ViewHostMsg_DestroyPluginContainer(
       routing_id(), window));
 #endif
@@ -3179,7 +3179,7 @@ void RenderView::OnEnablePreferredSizeChangedMode() {
 void RenderView::OnSetRendererPrefs(const RendererPreferences& renderer_prefs) {
   renderer_preferences_ = renderer_prefs;
   UpdateFontRenderingFromRendererPrefs();
-#if defined(OS_LINUX) && !defined(TOOLKIT_VIEWS)
+#if defined(OS_NIX) && !defined(TOOLKIT_VIEWS)
   WebColorName name = WebKit::WebColorWebkitFocusRingColor;
   WebKit::setNamedColors(&name, &renderer_prefs.focus_ring_color, 1);
 #endif
diff --git chrome/renderer/render_view.h chrome/renderer/render_view.h
index e15438f..f5f9bbf 100644
